path: /build/build/smartmontools-sys-apps-7.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-kernel_FreeBSD -selinux -static -systemd caps daemon update_drivedb" emerge sys-apps/smartmontools -pv -t && \
    USE="-kernel_FreeBSD -selinux -static -systemd caps daemon update_drivedb" emerge -j ${JOBS} --nodeps sys-apps/smartmontools
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/smartmontools && luet-portage --dir
    /pkgdir/smartmontools sys-apps/smartmontools && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e2f4919efcba8e20bec9e087e47b84d19d54533857163411ab27d08d8233ca79
  package:
    name: smartmontools
    version: "7.4"
    category: sys-apps
    use_flags:
    - -kernel_FreeBSD
    - -selinux
    - -static
    - -systemd
    - caps
    - daemon
    - update_drivedb
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Tools to monitor storage systems to provide advanced warning of disk
      degradation
    uri:
    - https://www.smartmontools.org
    license: GPL-2
    buildtimestamp: 2024-08-19 00:08:13.003318318 +0000 UTC m=+136.942347903
    labels:
      DEPEND: caps? ( static? ( sys-libs/libcap-ng:=[static-libs] ) !static? ( sys-libs/libcap-ng:=
        ) ) selinux? ( sys-libs/libselinux:= )
      IUSE: caps +daemon selinux static +update-drivedb
      RDEPEND: caps? ( static? ( sys-libs/libcap-ng:=[static-libs] ) !static? ( sys-libs/libcap-ng:=
        ) ) selinux? ( sys-libs/libselinux:= ) daemon? ( virtual/mailx ) selinux?
        ( sec-policy/selinux-smartmon ) update-drivedb? ( app-crypt/gnupg || ( net-misc/curl
        net-misc/wget www-client/lynx dev-vcs/subversion ) )
      emerge.packages: sys-apps/smartmontools
      kit: core-kit
      original.package.name: sys-apps/smartmontools
      original.package.slot: "0"
      original.package.version: "7.4"
    treedir: /build/packages
  package_dir: /pkgdir/smartmontools
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 25a60d49ab42d9445e606527407a0634dfdff40c78579e461873a2bb173a21e2
compressiontype: zstd
files:
- etc/conf.d/smartd
- etc/cron.monthly/smartmontools-update-drivedb
- etc/init.d/smartd
- etc/smartd.conf
- etc/smartd_warning.sh
- usr/sbin/smartctl
- usr/sbin/smartd
- usr/sbin/update-smart-drivedb
- usr/share/doc/smartmontools-7.4/AUTHORS.bz2
- usr/share/doc/smartmontools-7.4/COPYING.bz2
- usr/share/doc/smartmontools-7.4/ChangeLog-6.0-7.0.bz2
- usr/share/doc/smartmontools-7.4/ChangeLog.bz2
- usr/share/doc/smartmontools-7.4/INSTALL.bz2
- usr/share/doc/smartmontools-7.4/NEWS.bz2
- usr/share/doc/smartmontools-7.4/README.bz2
- usr/share/doc/smartmontools-7.4/TODO
- usr/share/doc/smartmontools-7.4/examplescripts/Example1.bz2
- usr/share/doc/smartmontools-7.4/examplescripts/Example2.bz2
- usr/share/doc/smartmontools-7.4/examplescripts/Example3.bz2
- usr/share/doc/smartmontools-7.4/examplescripts/Example4.bz2
- usr/share/doc/smartmontools-7.4/examplescripts/Example5.bz2
- usr/share/doc/smartmontools-7.4/examplescripts/Example6.bz2
- usr/share/doc/smartmontools-7.4/examplescripts/Example7.bz2
- usr/share/doc/smartmontools-7.4/examplescripts/Example8.bz2
- usr/share/doc/smartmontools-7.4/examplescripts/README.bz2
- usr/share/doc/smartmontools-7.4/smartd.conf.bz2
- usr/share/man/man5/smartd.conf.5.bz2
- usr/share/man/man8/smartctl.8.bz2
- usr/share/man/man8/smartd.8.bz2
- usr/share/man/man8/update-smart-drivedb.8.bz2
- usr/share/smartmontools/drivedb.h
- var/db/pkg/sys-apps/smartmontools-7.4/BUILD_TIME
- var/db/pkg/sys-apps/smartmontools-7.4/CATEGORY
- var/db/pkg/sys-apps/smartmontools-7.4/CBUILD
- var/db/pkg/sys-apps/smartmontools-7.4/CFLAGS
- var/db/pkg/sys-apps/smartmontools-7.4/CHOST
- var/db/pkg/sys-apps/smartmontools-7.4/CONTENTS
- var/db/pkg/sys-apps/smartmontools-7.4/COUNTER
- var/db/pkg/sys-apps/smartmontools-7.4/CXXFLAGS
- var/db/pkg/sys-apps/smartmontools-7.4/DEFINED_PHASES
- var/db/pkg/sys-apps/smartmontools-7.4/DEPEND
- var/db/pkg/sys-apps/smartmontools-7.4/DESCRIPTION
- var/db/pkg/sys-apps/smartmontools-7.4/EAPI
- var/db/pkg/sys-apps/smartmontools-7.4/FEATURES
- var/db/pkg/sys-apps/smartmontools-7.4/HOMEPAGE
- var/db/pkg/sys-apps/smartmontools-7.4/INHERITED
- var/db/pkg/sys-apps/smartmontools-7.4/IUSE
- var/db/pkg/sys-apps/smartmontools-7.4/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/smartmontools-7.4/KEYWORDS
- var/db/pkg/sys-apps/smartmontools-7.4/LDFLAGS
- var/db/pkg/sys-apps/smartmontools-7.4/LICENSE
- var/db/pkg/sys-apps/smartmontools-7.4/NEEDED
- var/db/pkg/sys-apps/smartmontools-7.4/PF
- var/db/pkg/sys-apps/smartmontools-7.4/RDEPEND
- var/db/pkg/sys-apps/smartmontools-7.4/REQUIRES
- var/db/pkg/sys-apps/smartmontools-7.4/SIZE
- var/db/pkg/sys-apps/smartmontools-7.4/SLOT
- var/db/pkg/sys-apps/smartmontools-7.4/USE
- var/db/pkg/sys-apps/smartmontools-7.4/environment.bz2
- var/db/pkg/sys-apps/smartmontools-7.4/repository
- var/db/pkg/sys-apps/smartmontools-7.4/smartmontools-7.4.ebuild
- var/db/smartmontools/.keep_sys-apps_smartmontools-0
package_cacheimage: ""
runtime:
  name: smartmontools
  version: "7.4"
  category: sys-apps
  use_flags:
  - -kernel_FreeBSD
  - -selinux
  - -static
  - -systemd
  - caps
  - daemon
  - update_drivedb
  requires:
  - name: gnupg
    version: '>=0'
    category: app-crypt
  - name: libcap-ng
    version: '>=0'
    category: sys-libs
  - name: mailx
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Tools to monitor storage systems to provide advanced warning of disk
    degradation
  uri:
  - https://www.smartmontools.org
  license: GPL-2
  labels:
    DEPEND: caps? ( static? ( sys-libs/libcap-ng:=[static-libs] ) !static? ( sys-libs/libcap-ng:=
      ) ) selinux? ( sys-libs/libselinux:= )
    IUSE: caps +daemon selinux static +update-drivedb
    RDEPEND: caps? ( static? ( sys-libs/libcap-ng:=[static-libs] ) !static? ( sys-libs/libcap-ng:=
      ) ) selinux? ( sys-libs/libselinux:= ) daemon? ( virtual/mailx ) selinux? (
      sec-policy/selinux-smartmon ) update-drivedb? ( app-crypt/gnupg || ( net-misc/curl
      net-misc/wget www-client/lynx dev-vcs/subversion ) )
    emerge.packages: sys-apps/smartmontools
    kit: core-kit
    original.package.name: sys-apps/smartmontools
    original.package.slot: "0"
    original.package.version: "7.4"
